package com.galaxis.manatee.entity.chuanyun.data.object;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.extern.slf4j.Slf4j;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import java.math.BigDecimal;

/**
 * Created by IntelliJ IDEA.
 * author: xuj
 * Date: 2020/8/7
 * Description: 项目工时分析
 */
@Slf4j
@Data
@Entity(name = "CHUANYUN_DAY_WORK_ABC")
@JsonIgnoreProperties(ignoreUnknown = true)
public class ChuanyunDayWorkAbcDO {

    @Id
    @GeneratedValue(generator = "idGeneratorUser")
    @GenericGenerator(name ="idGeneratorUser" ,strategy="com.galaxis.capsule.util.GalaxisIdGenerator")
    private Long objectId;

    /**
     * 项目id
     */
    @JsonProperty("project_id")
    private String projectId;

    /**
     * 项目编号
     */
    @JsonProperty("project_code")
    private String projectCode;

    /**
     * 项目名称
     */
    @JsonProperty("project_name")
    private String projectName;

    /**
     * 总工时
     */
    @JsonProperty("total_time")
    private BigDecimal totalTime;

    /**
     * 规划人员本项目工时
     */
    @JsonProperty("plan_time")
    private BigDecimal planTime;

    /**
     * 销售人员本项目工时
     */
    @JsonProperty("sell_time")
    private BigDecimal sellTime;

    /**
     * 其他支持人员本项目工时
     */
    @JsonProperty("other_time")
    private BigDecimal otherTime;

}
